package com.fjhx.oa.controller.invoice;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.invoice.dto.InvoiceTaxDeductionDto;
import com.fjhx.oa.entity.invoice.dto.InvoiceTaxDeductionSelectDto;
import com.fjhx.oa.entity.invoice.vo.InvoiceTaxDeductionVo;
import com.fjhx.oa.service.invoice.InvoiceTaxDeductionService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 电子发票抵扣申请 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-11
 */
@RestController
@RequestMapping("/invoiceTaxDeduction")
public class InvoiceTaxDeductionController {

    @Autowired
    private InvoiceTaxDeductionService invoiceTaxDeductionService;

    /**
     * 电子发票抵扣申请分页
     */
    @PostMapping("/page")
    public Page<InvoiceTaxDeductionVo> page(@RequestBody InvoiceTaxDeductionSelectDto dto) {
        return invoiceTaxDeductionService.getPage(dto);
    }

    /**
     * 电子发票抵扣申请明细
     */
    @PostMapping("/detail")
    public InvoiceTaxDeductionVo detail(@RequestBody BaseSelectDto dto) {
        return invoiceTaxDeductionService.detail(dto.getId());
    }

    /**
     * 电子发票抵扣申请新增
     */
    @PostMapping("/add")
    public void add(@RequestBody InvoiceTaxDeductionDto invoiceTaxDeductionDto) {
        invoiceTaxDeductionService.addOrEdit(invoiceTaxDeductionDto);
    }

    /**
     * 电子发票抵扣申请编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody InvoiceTaxDeductionDto invoiceTaxDeductionDto) {
        invoiceTaxDeductionService.addOrEdit(invoiceTaxDeductionDto);
    }

    /**
     * 电子发票抵扣申请删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        invoiceTaxDeductionService.delete(dto.getId());
    }

    @PostMapping("/cancellation")
    public void cancellation(@RequestBody BaseSelectDto dto) {
        invoiceTaxDeductionService.cancellation(dto.getId());
    }

}
