package com.fjhx.oa.service.invoice.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.oa.entity.invoice.po.InvoiceApplyContractDetail;
import com.fjhx.oa.entity.invoice.vo.InvoiceApplyContractDetailVo;
import com.fjhx.oa.mapper.invoice.InvoiceApplyContractDetailMapper;
import com.fjhx.oa.service.invoice.InvoiceApplyContractDetailService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;


/**
 * <p>
 * 开票申请合同明细 服务实现类
 * </p>
 *
 * @author
 * @since 2024-04-13
 */
@Service
public class InvoiceApplyContractDetailServiceImpl extends ServiceImpl<InvoiceApplyContractDetailMapper, InvoiceApplyContractDetail> implements InvoiceApplyContractDetailService {

    @Override
    public List<InvoiceApplyContractDetailVo> getList(IWrapper wrapper) {
        List<InvoiceApplyContractDetailVo> list = baseMapper.getList(wrapper);
        for (InvoiceApplyContractDetailVo vo : list) {
            //赋值未开票金额
            BigDecimal invoiceAmount = ObjectUtil.isEmpty(vo.getInvoiceAmount()) ? BigDecimal.ZERO : vo.getInvoiceAmount();
            BigDecimal sumClaimMoney = ObjectUtil.isEmpty(vo.getSumClaimMoney()) ? BigDecimal.ZERO : vo.getSumClaimMoney();
            vo.setUnInvoiceAmount(sumClaimMoney.subtract(invoiceAmount));
        }
        return list;
    }
}
